Bug 1571431 - Initial Setup Crashes with wrong password and retrying with other SSID [NEEDINFO]
Summary: Initial Setup Crashes with wrong password and retrying with other SSID
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 18:55 UTC by sumantro
Modified: 2019-05-28 19:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:01:10 UTC
Type: Bug
awilliam: needinfo? (sumukher)


Attachments (Terms of Use)

Description sumantro 2018-04-24 18:55:26 UTC
Description of problem:
Gnome initial setup crashes once you enter wrong wifi password and time to click on another SSID


Version-Release number of selected component (if applicable):
Fedora-Workstation-Live-x86_64-28-20180423.n.0


How reproducible:
Always

Steps to Reproduce:
1.Boot and Install
2.Enter the Gnome Initial Setup menu
3.Enter a wrong wifi password and wait for the setup to ask again
4.Hit cancel
5.Try clicking on any other SSID


Actual results:
The initializer spoke crashes and renders the setup useless with error 
[drm:drm_atomic_helper_wait_for_flip_done[drm_kms_helper]] *ERROR* [CRTC:37:pipe A] flip_done timed out


Expected results:
should let me enter a new password and continue for user setup 


Additional info:

Comment 1 sumantro 2018-04-24 19:47:22 UTC
This is happening on lenovo thinkpad x220 and x230 baremetal

Comment 2 Adam Williamson 2018-04-24 19:48:04 UTC
The error here is actually a graphics driver issue, I think. ajax, airlied, any ideas? Sumantro, can you post a full log extract? Thanks.

Comment 3 sumantro 2018-04-26 03:47:00 UTC
https://paste.fedoraproject.org/paste/dP-AvEwyovm91QaBa7IQhA

RC 1.1 is having the same issue

Comment 4 Ben Cotton 2019-05-02 21:54:05 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Adam Williamson 2019-05-21 21:50:41 UTC
Still a problem with F30?

Comment 6 Ben Cotton 2019-05-28 19:01:10 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.